## seahorse-servers

seahorse-servers

## Synopsis

    GSList*             seahorse_servers_get_types          (void);
    GSList*             seahorse_servers_get_names          (void);
    char*               seahorse_servers_get_description    (const char *type);
    GSList*             seahorse_servers_get_uris           (void);
    gboolean            seahorse_servers_is_valid_uri       (const char *uri);
    gboolean            (*SeahorseValidUriFunc)             (const gchar *uri);
    void                seahorse_servers_register_type      (const char *type,
                                                             const char *description,
                                                             SeahorseValidUriFunc validate);

## Description

## Details

### seahorse_servers_get_types ()

    GSList*             seahorse_servers_get_types          (void);

Returns : |

### seahorse_servers_get_names ()

    GSList*             seahorse_servers_get_names          (void);

Returns : |

### seahorse_servers_get_description ()

    char*               seahorse_servers_get_description    (const char *type);

`type` : |
Returns : |

### seahorse_servers_get_uris ()

    GSList*             seahorse_servers_get_uris           (void);

Returns : |

### seahorse_servers_is_valid_uri ()

    gboolean            seahorse_servers_is_valid_uri       (const char *uri);

`uri` : |
Returns : |

### SeahorseValidUriFunc ()

    gboolean            (*SeahorseValidUriFunc)             (const gchar *uri);

`uri` : |
Returns : |

### seahorse_servers_register_type ()

    void                seahorse_servers_register_type      (const char *type,
                                                             const char *description,
                                                             SeahorseValidUriFunc validate);

`type` : |
`description` : |
`validate` : |